-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--          http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.
local c_object = require 'mc.orm.object'

local orm_classes = {}

function orm_classes.init(db)
    orm_classes.PowerSupplies = c_object('PowerSupplies')
    orm_classes.Circuit = c_object('Circuit')
    orm_classes.OnePower = c_object('OnePower')
    orm_classes.PsuSlot = c_object('PsuSlot')
    orm_classes.AclostRecordTable = c_object('AclostRecordTable')
    orm_classes.PowerConfiguration = c_object('PowerConfiguration')
    orm_classes.PowerOutputEfficiencyCurve = c_object('PowerOutputEfficiencyCurve')
end

return orm_classes
